import { Component } from "@angular/core";
import {
  IonicPage,
  NavController,
  MenuController,
  InfiniteScroll
} from "ionic-angular";
import { TwitterApiProvider } from "../../providers/twitter-api/twitter-api";
import { WriteTweetPage } from "../write-tweet/write-tweet";

@IonicPage()
@Component({
  selector: "page-home",
  templateUrl: "home.html"
})
export class HomePage {
  menuController: MenuController;
  data: any[] = [];

  constructor(
    public navCtrl: NavController,
    private twitter: TwitterApiProvider,
    private menuCtrl: MenuController
  ) {}

  ionViewDidLoad() {
    this.menuCtrl.enable(true, "sideNav");
  }

  ionViewDidEnter() {
    this.twitter.fetchHomeFeed().then(res => (this.data = res.data));
  }

  doRefresh(refresher) {
    this.twitter.fetchHomeFeed().then(res => {
      this.data = res.data;
      refresher.complete();
    });
  }

  loadMore(infiniteScroll: InfiniteScroll) {
    this.twitter
      .fetchHomeFeedSince(this.data[this.data.length - 1].id)
      .then(res => {
        this.data = this.data.concat(res.data);
        infiniteScroll.complete();
      });
  }

  writeTweet() {
    this.navCtrl.push(WriteTweetPage);
  }
}
