import { Component } from "@angular/core";
import {
  IonicPage,
  NavController,
  NavParams,
  MenuController,
  AlertController
} from "ionic-angular";
import { AuthProvider } from "../../providers/auth/auth";
import { HomePage } from "../home/home";

/**
 * Generated class for the LoginPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */

@IonicPage()
@Component({
  selector: "page-login",
  templateUrl: "login.html"
})
export class LoginPage {
  constructor(
    public navCtrl: NavController,
    public navParams: NavParams,
    private menuCtrl: MenuController,
    private alertCtrl: AlertController,
    private authProvider: AuthProvider
  ) {}

  ionViewDidLoad() {
    this.menuCtrl.enable(false, "sideNav");
  }

  login() {
    this.authProvider
      .login()
      .then(() => this.navCtrl.setRoot(HomePage))
      .catch(err =>
        this.alertCtrl
          .create({
            title: "Login failed",
            subTitle:
              "Somthing went wrong while trying to log you in. Pleas try again.",
            buttons: ["OK"]
          })
          .present()
      );
  }
}
