import { Pipe, PipeTransform } from "@angular/core";

/**
 * Generated class for the FriendlyNumberPipe pipe.
 *
 * See https://angular.io/api/core/Pipe for more info on Angular Pipes.
 */
@Pipe({
  name: "friendlyNumber"
})
export class FriendlyNumberPipe implements PipeTransform {
  /**
   * Takes a value and
   */
  transform(value: number, ...args) {
    if (value > 1000000) {
      return (value / 1000000).toFixed(1) + "M";
    } else if (value > 1000) {
      return (value / 1000).toFixed(1) + "k";
    } else {
      return value;
    }
  }
}
